Subject: Re: [PATCH 12/14] powerpc: Add logic to patch alternative feature sections

From: Michael Ellerman <[email-masked]>
Date: Thu, 26 Jun 2008 13:45:35 +1000

On Tue, 2008-06-24 at 08:47 -0500, Kumar Gala wrote:
> On Jun 23, 2008, at 8:33 PM, Michael Ellerman wrote:
> 
> > This patch adds the logic to patch alternative sections. This is  
> > fairly
> > straight forward, except for branches. Relative branches that jump  
> > from
> > inside the else section to outside of it, need to be translated as  
> > they're
> > moved, otherwise they will jump to the wrong location.
> 
> this should really be part of the 'Introduce infrastructure for  
> feature sections with alternatives' patch.  The two are really coupled  
> (one doesn't make sense w/o the other).

I guess, although I did implement it this way, in two stages - it just
means the ALT_ macros are non-functional for one commit. I can respin if
you really want.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person